
let codigoDocente = ''
let codPer = ''

$(document).ready(function () {
	const urlParams = new URLSearchParams(window.location.search);
	const myDni = urlParams.get('dni');

	let json = {
		dniDocente: myDni

	}
//	let json2={
//		 codigoPeriodo:codPer,
//		 codigoProfesor:codigoDocente
//		 
//	}
//	
	$.ajax({
		url: '../ServletHorario?Accion=verHorarioDocenteDni',
		type: 'POST',
		dataType: "json",
		data: {
			json: JSON.stringify(json)
		},
		success: function (response, textStatus, jqXHR) {
			console.log(response);
			codigoDocente = response.codigoDocente
			let array = response.data;
			let options = "";
			array.forEach(function (value, index) {
				options += `<option value="${value.codigoPeriodo}">${value.nombrePeriodo}</option>`
			});

			$("#cboPeriodo").html(options);

		}

	}),
		// ahora vemos el detalle de horario del profesor de acuerdo al codigo docente
		$(document).on('change', '#cboPeriodo', function (event) {
		codPer = $("#cboPeriodo option:selected").val();
		//console.log(codPer);
		//console.log(codigoDocente); 
		$.ajax({
			url: '../ServletHorario?Accion=verHorarioDocentePeriodo',
			type: 'POST',
			dataType: "json",
			data: {
				codigoPeriodo: codPer,
				codigoProfesor: codigoDocente
			},
			success: function (response, textStatus, jqXHR) {
				console.log(response.data);
				let array = response.data;

				array.forEach(function (value, index) {
					debugger
					if (value.disponibilidad != undefined) {

						let nombre = value.nombre;
						let correo = value.correo;
						let celular = value.celular;
						let direccion = value.direccion;
						let distrito = value.distrito;
						$("#docente").text(nombre);
						$("#correo").text(correo);
						$("#celular").text(celular);
						$("#direccion").text(direccion);
						$("#distrito").text(distrito);

						

						//console.log(disponibilidad);
						//let arrayAulas=response.data[0].arrayAulas;


					}else{
						console.log("no hay disponibilidad");
					}
					



				});




			}

		});

	});







});

